UnrealIRCd Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003758unrealircdpublic2008-12-31 16:502009-01-05 11:40
ReporterStrawberry_Kittens 
Assigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSLinuxOS Version2.6.1
Product Version3.2.8 
Target VersionFixed in Version3.2.8 
Summary0003758: Bug with oper override
DescriptionIf a user has +q or +a on a channel, and a user with oper override has +h he can't take the modes from them.
Steps To ReproduceName1 has oper override, Name2 does not.

/mode #channel +q Name2
/mode #channel +h Name1
/mode #channel -q Name2
Will error saying Name2 is a channel owner

/mode #channel +a Name2
/mode #channel +h Name1
/mode #channel -a Name2
Will error saying Name2 is a channel admin

/mode #channel +ao Name2 Name2
/mode #channel +h Name1
/mode #channel -o Name2
Will error saying Name2 is a channel admin

See what's wrong? ^_^
TagsNo tags attached.
3rd party modules
Attached Files

- Relationships

-  Notes
(0015575)
syzop (administrator)
2009-01-02 14:30

Confirmed.
Odd, I thought this was fixed ages ago...
(0015578)
Strawberry_Kittens (reporter)
2009-01-02 23:12

Will this be fixed before 3.2.8 gets to the final release?
(0015611)
syzop (administrator)
2009-01-04 11:50
edited on: 2009-01-04 11:50

I'm working on it, that's all I can say.. whether it will be in 3.2.8 or not, don't know yet :p

(0015620)
syzop (administrator)
2009-01-05 11:40
edited on: 2009-01-05 11:41

Fixed in .739:
- Fixed OperOverride bug: if you are halfop you couldn't -q/-a, reported
  by Strawberry_Kittens (0003758).

EDIT: actually the changelog entry is slightly incorrect.. you also couldn't -o/-h a chanadmin/chanowner indeed. now you can :)


- Issue History
Date Modified Username Field Change
2008-12-31 16:50 Strawberry_Kittens New Issue
2009-01-02 14:30 syzop Note Added: 0015575
2009-01-02 14:30 syzop Status new => confirmed
2009-01-02 14:31 syzop QA => Not touched yet by developer
2009-01-02 14:31 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2009-01-02 14:31 syzop U4: Upstream notification of bug => Not decided
2009-01-02 14:31 syzop U4: Contributor working on this => None
2009-01-02 14:31 syzop Severity major => minor
2009-01-02 23:12 Strawberry_Kittens Note Added: 0015578
2009-01-04 11:50 syzop Note Added: 0015611
2009-01-04 11:50 syzop Note Edited: 0015611
2009-01-05 11:40 syzop Status confirmed => resolved
2009-01-05 11:40 syzop Fixed in Version => 3.2.8
2009-01-05 11:40 syzop Resolution open => fixed
2009-01-05 11:40 syzop Assigned To => syzop
2009-01-05 11:40 syzop Note Added: 0015620
2009-01-05 11:41 syzop Note Edited: 0015620


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker